@media -sass-debug-info{filename{font-family:file\:\/\/\/Users\/dba\/Sites\/dba\.codes\/playground\/dba-button-styles\/css\/scss\/design\.scss}line{font-family:\000035}}
.btn-01 {
  background: #fff;
  text-transform: uppercase;
  letter-spacing: 0.2rem;
  color: #6b6b6b;
  font-size: 0.85rem;
  font-weight: 700;
  text-decoration: none;
  line-height: 1;
  text-align: center;
  padding: 1.25rem;
  position: relative;
  -webkit-perspective: 1500px;
          perspective: 1500px;
}
@media -sass-debug-info{filename{font-family:file\:\/\/\/Users\/dba\/Sites\/dba\.codes\/playground\/dba-button-styles\/css\/scss\/design\.scss}line{font-family:\0000319}}
.btn-01 span {
  width: 100%;
  display: block;
}
@media -sass-debug-info{filename{font-family:file\:\/\/\/Users\/dba\/Sites\/dba\.codes\/playground\/dba-button-styles\/css\/scss\/design\.scss}line{font-family:\0000324}}
.btn-01 span.default-text {
  transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -moz-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -webkit-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -o-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  transform: rotateX(0deg);
  -moz-transform: rotateX(0deg);
  -webkit-transform: rotateX(0deg);
  -o-transform: rotateX(0deg);
  opacity: 1;
}
@media -sass-debug-info{filename{font-family:file\:\/\/\/Users\/dba\/Sites\/dba\.codes\/playground\/dba-button-styles\/css\/scss\/design\.scss}line{font-family:\0000330}}
.btn-01 span.hover-text {
  transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -moz-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -webkit-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -o-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  position: absolute;
  top: 1.25rem;
  left: 0;
  transform: rotateX(90deg);
  -moz-transform: rotateX(90deg);
  -webkit-transform: rotateX(90deg);
  -o-transform: rotateX(90deg);
  opacity: 0;
}
@media -sass-debug-info{filename{font-family:file\:\/\/\/Users\/dba\/Sites\/dba\.codes\/playground\/dba-button-styles\/css\/scss\/design\.scss}line{font-family:\0000340}}
.btn-01:hover span.default-text {
  transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -moz-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -webkit-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -o-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  transform: rotateX(-90deg);
  -moz-transform: rotateX(-90deg);
  -webkit-transform: rotateX(-90deg);
  -o-transform: rotateX(-90deg);
  opacity: 0;
}
@media -sass-debug-info{filename{font-family:file\:\/\/\/Users\/dba\/Sites\/dba\.codes\/playground\/dba-button-styles\/css\/scss\/design\.scss}line{font-family:\0000345}}
.btn-01:hover span.hover-text {
  transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -moz-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -webkit-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -o-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  transform: rotateX(0deg);
  -moz-transform: rotateX(0deg);
  -webkit-transform: rotateX(0deg);
  -o-transform: rotateX(0deg);
  opacity: 1;
}

@media -sass-debug-info{filename{font-family:file\:\/\/\/Users\/dba\/Sites\/dba\.codes\/playground\/dba-button-styles\/css\/scss\/design\.scss}line{font-family:\0000353}}
.btn-02 {
  background: linear-gradient(135deg, #9657ff, #623dff);
  background: -o-linear-gradient(135deg, #9657ff, #623dff);
  text-transform: uppercase;
  letter-spacing: 0.2rem;
  color: #fff;
  font-size: 0.85rem;
  font-weight: 700;
  text-decoration: none;
  line-height: 1;
  text-align: center;
  padding: 1.25rem 4rem;
  position: relative;
  -webkit-perspective: 1500px;
          perspective: 1500px;
  border-radius: 100px;
  -moz-border-radius: 100px;
  -webkit-border-radius: 100px;
  -o-border-radius: 100px;
  -webkit-box-shadow: 0 2px 8px rgba(0, 0, 0, 0.65), inset 0 0 1px 1px rgba(255, 255, 255, 0.2);
          box-shadow: 0 2px 8px rgba(0, 0, 0, 0.65), inset 0 0 1px 1px rgba(255, 255, 255, 0.2);
  transform: scale(1);
  -moz-transform: scale(1);
  -webkit-transform: scale(1);
  -o-transform: scale(1);
  transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -moz-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -webkit-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -o-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
}
@media -sass-debug-info{filename{font-family:file\:\/\/\/Users\/dba\/Sites\/dba\.codes\/playground\/dba-button-styles\/css\/scss\/design\.scss}line{font-family:\0000373}}
.btn-02:hover {
  transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -moz-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -webkit-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -o-transition: all 0.5s cubic-bezier(0.77, 0, 0.175, 1);
  -webkit-box-shadow: 0 4px 16px rgba(0, 0, 0, 0.65), inset 0 0 12px rgba(255, 255, 255, 0.2);
          box-shadow: 0 4px 16px rgba(0, 0, 0, 0.65), inset 0 0 12px rgba(255, 255, 255, 0.2);
  transform: scale(1.1);
  -moz-transform: scale(1.1);
  -webkit-transform: scale(1.1);
  -o-transform: scale(1.1);
}

/*# sourceMappingURL=design.css.map */